Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.gui
Class GUI.TDTreeValue

    java.lang.Object
      escjava.gui.GUI.EscTreeValue
          escjava.gui.GUI.TDTreeValue

Enclosing class:
  GUI

static class GUI.TDTreeValue
extends GUI.EscTreeValue

Field Summary
`int` | `action`
`javax.swing.tree.DefaultMutableTreeNode` | `holder`
`InitialState` | `initState`
`boolean` | `outOfDate`
`java.lang.String` | `outputText`
`FindContributors` | `scope`
`TypeSig` | `sig`
`int` | `status`
`TypeDecl` | `td`

Constructor Summary
`GUI.TDTreeValue(TypeDecl td)`

Method Summary
`int` | `actualAction(int action)`
`void` | `clearCheck()`
`java.lang.String` | `combinedString()`
`java.lang.String` | `getFilename()`
`int` | `getLine()`
`GUI.EscTreeValue` | `getParent()`
`java.lang.String` | `getStatusText()`
`java.lang.String` | `infoString()`
`static javax.swing.tree.DefaultMutableTreeNode` | `makeNode(TypeDecl td)`
`void` | `process(int action)`
`void` | `processHelper(int action)`
`void` | `processThis(int action)`
`int` | `processThisAction(int action)`
`void` | `propagateStatus(int s)`
`void` | `setOutOfDate()`
`static void` | `setOutOfDate(javax.swing.tree.DefaultMutableTreeNode h)`
`void` | `setStatus(int status, java.lang.String outputText)`
`void` | `showOutput(boolean showEmpty)`
`java.lang.String` | `toString()`
`java.lang.String` | `type()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### td

    public TypeDecl td

### sig

    public TypeSig sig

### initState

    public InitialState initState

### scope

    public FindContributors scope

### status

    public int status

### outOfDate

    public boolean outOfDate

### outputText

    public java.lang.String outputText

### holder

    public javax.swing.tree.DefaultMutableTreeNode holder

### action

    public int action

Constructor Detail

### GUI.TDTreeValue

    public GUI.TDTreeValue(TypeDecl td)

Method Detail

### makeNode

    public static javax.swing.tree.DefaultMutableTreeNode makeNode(TypeDecl td)

### type

    public java.lang.String type()

  Specified by:
    `type` in class `GUI.EscTreeValue`

### toString

    public java.lang.String toString()

### clearCheck

    public void clearCheck()

  Overrides:
    `clearCheck` in class `GUI.EscTreeValue`

### actualAction

    public int actualAction(int action)

  Specified by:
    `actualAction` in class `GUI.EscTreeValue`

### processThisAction

    public int processThisAction(int action)

  Specified by:
    `processThisAction` in class `GUI.EscTreeValue`

### getFilename

    public java.lang.String getFilename()

  Specified by:
    `getFilename` in class `GUI.EscTreeValue`

### getLine

    public int getLine()

  Specified by:
    `getLine` in class `GUI.EscTreeValue`

### setOutOfDate

    public void setOutOfDate()

### setOutOfDate

    public static void setOutOfDate(javax.swing.tree.DefaultMutableTreeNode h)

### getStatusText

    public java.lang.String getStatusText()

### infoString

    public java.lang.String infoString()

### getParent

    public GUI.EscTreeValue getParent()

### setStatus

    public void setStatus(int status,
                          java.lang.String outputText)

### showOutput

    public void showOutput(boolean showEmpty)

### combinedString

    public java.lang.String combinedString()

### process

    public void process(int action)

### processHelper

    public void processHelper(int action)

### processThis

    public void processThis(int action)

### propagateStatus

    public void propagateStatus(int s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage